API referenceEmails

Retrieve an email

GET/emails/{id}

One sent email with its last event. html and text are read back from your S3 bucket and are null when they cannot be read.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/emails/string"
{  "object": "email",  "id": "string",  "from": "string",  "to": [    "string"  ],  "cc": [    "string"  ],  "bcc": [    "string"  ],  "reply_to": [    "string"  ],  "subject": "string",  "html": "string",  "text": "string",  "created_at": "2019-08-24T14:15:22Z",  "scheduled_at": "2019-08-24T14:15:22Z",  "last_event": "scheduled",  "tags": [    {      "name": "string",      "value": "string"    }  ],  "headers": {    "property1": "string",    "property2": "string"  },  "attachments": [    {      "id": "string",      "filename": "string",      "content_type": "string",      "size": 0    }  ],  "message_id": "string"}